Name:           gnome-bluetooth
Epoch:          1
Version:        3.34.5
Release:        1
Summary:        Bluetooth graphical utilities
License:        GPLv2+ and LGPLv2+
URL:            https://wiki.gnome.org/Projects/GnomeBluetooth
Source0:        https://download.gnome.org/sources/gnome-bluetooth/3.34/gnome-bluetooth-%{version}.tar.xz
Source1:        61-gnome-bluetooth-rfkill.rules
BuildRequires:  gettext gobject-introspection-devel gtk3-devel gtk-doc meson pkgconfig(libcanberra-gtk3) pkgconfig(libnotify) systemd-devel
Requires:       bluez >= 5.0 pulseaudio-module-bluetooth
Provides:       dbus-bluez-pin-helper gnome-bluetooth-libs = %{epoch}:%{version}-%{release}
Obsoletes:      gnome-bluetooth-libs < %{epoch}:%{version}-%{release}

%description
An application that let you manage Bluetooth in the GNOME destkop.
This package also contains libraries needed for applications that
want to display a Bluetooth device selection widget.

%package        libs-devel
Summary:        Development files for gnome-bluetooth-devel
License:        LGPLv2+
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    libs-devel
This package contains header files that are needed for writing applications
that require a Bluetooth device selection widget.

%package        help
Summary:        Help documents for gnome-bluetooth

%description    help
The gnome-bluetooth-help package conatins manual pages for gnome-bluetooth.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

install -m0644 -D %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules

%find_lang gnome-bluetooth2

%files -f gnome-bluetooth2.lang
%doc README.md NEWS COPYING COPYING.LIB
%{_bindir}/bluetooth-sendto
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-bluetooth/
%{_libdir}/libgnome-bluetooth.so.*
%{_libdir}/girepository-1.0/GnomeBluetooth-1.0.typelib
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*
/usr/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules

%files libs-devel
%{_includedir}/gnome-bluetooth/
%{_libdir}/libgnome-bluetooth.so
%{_libdir}/pkgconfig/gnome-bluetooth-1.0.pc
%{_datadir}/gir-1.0/GnomeBluetooth-1.0.gir
%{_datadir}/gtk-doc

%files help
%{_mandir}/man1/*

%changelog
* Fri May 28 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.34.5-1
- Upgrade to 3.34.5
- Update Version, Release, Source0, stage 'files'

* Sat Nov 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.28.2-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add the release number

* Thu Nov 21 2019 liujing<liujing144@huawei.com> - 3.28.2-2
- Package init
